local ElvUI_EltreumUI, E, L, V, P, G = unpack(select(2, ...))

-- DBM profile setup
function ElvUI_EltreumUI:GetDBMProfile()
	DBM:CreateProfile("Eltreum")
	DBM_AllSavedOptions = {
		["Eltreum"] = {
			["DontShowFarWarnings"] = true,
			["FilterInterrupt2"] = "TandFandAllCooldown",
			["DontShowNameplateLines"] = false,
			["InfoFrameX"] = -419.1039428710938,
			["DontShowNameplateIcons"] = false,
			["SpecialWarningFlash5"] = true,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = true,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["SpecialWarningSound2"] = 15391,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = true,
			["DontShowReminders"] = false,
			["WorldBossAlert"] = false,
			["WorldBuffAlert"] = false,
			["DontSendBossWhispers"] = false,
			["ShowMinimapButton"] = false,
			["ShowGuildMessages"] = true,
			["ShowAllVersions"] = true,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["DontShowTargetAnnouncements"] = false,
			["ShowWarningsInChat"] = false,
			["ShowCombatLogMessage"] = true,
			["InfoFrameFontStyle"] = "THICKOUTLINE",
			["WarningFontStyle"] = "THICKOUTLINE",
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["FilterTrashWarnings"] = false,
			["RangeFrameRadarX"] = 267.6197814941406,
			["InfoFrameCols"] = -0,
			["ShowFakedRaidWarnings"] = false,
			["LatencyThreshold"] = 165.8546447753906,
			["DontShowHealthFrame"] = false,
			["LFDEnhance"] = true,
			["RLReadyCheckSound"] = true,
			["WOTLKTWMessageShown"] = false,
			["HideObjectivesFrame"] = false,
			["SpecialWarningShortText"] = true,
			["DontShowPTText"] = false,
			["SpecialWarningFontSize2"] = 40,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["NewsMessageShown2"] = 1,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["HUDSizeOverride"] = false,
			["AutoAcceptGuildInvite"] = false,
			["SpecialWarningFlashDura3"] = 1,
			["MovieFilter"] = "Never",
			["EventSoundVictory"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg",
			["DisableSFX"] = false,
			["SpecialWarningFlashDura4"] = 0.7,
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				-0, -- [2]
				-0, -- [3]
			},
			["ModelSoundValue"] = "Short",
			["HUDColor3"] = {
				1, -- [1]
				0.5, -- [2]
				-0, -- [3]
			},
			["HUDTexture2"] = "highlight",
			["SpecialWarningY"] = -152.1428680419922,
			["RangeFrameUpdates"] = "Average",
			["AutoCorrectTimer"] = false,
			["RaidWarningSound"] = 11742,
			["CustomSounds"] = 2,
			["ShowTranscriptorMessage"] = true,
			["RoleSpecAlert"] = false,
			["MISTSTWMessageShown"] = false,
			["ShowKillMessage"] = true,
			["WarningIconLeft"] = true,
			["RangeFrameLocked"] = false,
			["DontDoSpecialWarningVibrate"] = false,
			["SpecialWarningFlashDura2"] = 0.4,
			["PGMessageShown"] = false,
			["SpecialWarningFlashRepeat4"] = false,
			["BonusFilter"] = "Never",
			["DontShowUserTimers"] = false,
			["SpecialWarningFlashRepeat5"] = true,
			["HideBossEmoteFrame"] = true,
			["DontPlayCountdowns"] = false,
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["WarningDuration2"] = 1.5,
			["InfoFrameShowSelf"] = true,
			["WarningFontShadow"] = true,
			["DontShowBossTimers"] = false,
			["HelpMessageShown3"] = false,
			["TalkingHeadFilter"] = "Never",
			["DontShowBossAnnounces"] = false,
			["BadIDAlert"] = false,
			["SpecialWarningFlashRepeatAmount"] = 2,
			["WarningIconChat"] = true,
			["HideGuildChallengeUpdates"] = true,
			["DontShowCTCount"] = false,
			["ShowPizzaMessage"] = false,
			["RangeFrameSound2"] = "none",
			["HideTooltips"] = false,
			["BCTWMessageShown"] = false,
			["FilterVoidFormSay"] = true,
			["BugMessageShown"] = 2,
			["EventSoundMusic"] = "None",
			["SpamBlockBossWhispers"] = true,
			["CATATWMessageShown"] = false,
			["ShowFlashFrame"] = true,
			["SpecialWarningFontSize"] = 50,
			["HUDTextureOverride"] = false,
			["SpecialWarningFlashAlph2"] = 0.3,
			["EventRandomVictory"] = false,
			["DontShowHudMap2"] = false,
			["SpecialWarningFlashCount4"] = 2,
			["ShowSWarningsInChat"] = false,
			["HideApplicantAlerts"] = -0,
			["HUDAlpha2"] = 0.5,
			["StatusEnabled"] = true,
			["CoreSavedRevision"] = 20220118185328,
			["RangeFrameX"] = -423.904052734375,
			["AlwaysShowSpeedKillTimer"] = true,
			["HUDColor2"] = {
				1, -- [1]
				-0, -- [2]
				-0, -- [3]
			},
			["SpecialWarningFlashAlph3"] = 0.4,
			["ShowRecoveryMessage"] = true,
			["FakeBWVersion"] = false,
			["CRT_Enabled"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				-0, -- [3]
			},
			["HUDColorOverride"] = false,
			["SpecialWarningPoint"] = "TOP",
			["CheckGear"] = true,
			["HUDColor4"] = {
				-0, -- [1]
				1, -- [2]
				-0, -- [3]
			},
			["HUDSize3"] = 5,
			["DontShowPT2"] = false,
			["MCMessageShown"] = false,
			["DontShowSpecialWarnings"] = false,
			["EventSoundTurle"] = "Interface\\AddOns\\DBM-SoundEventsPack\\Music\\atmittw.mp3",
			["ShowQueuePop"] = true,
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				-0, -- [2]
				1, -- [3]
			},
			["DebugMode"] = false,
			["SpecialWarningFlashDura5"] = 1,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				-0, -- [3]
			},
			["SpecialWarningVibrate1"] = false,
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 103.3210754394531,
			["SpecialWarningSound"] = 37666,
			["HealthFrameLocked"] = false,
			["UseSoundChannel"] = "Dialog",
			["ShowCountdownText"] = false,
			["ShowRespawn"] = true,
			["HideQuestTooltips"] = true,
			["HUDSize2"] = 5,
			["AlwaysShowSpeedKillTimer2"] = true,
			["FilterDispel"] = true,
			["ShowLoadMessage"] = true,
			["DebugLevel"] = 1,
			["SpecialWarningFlashDura1"] = 0.4,
			["DontShowPTNoID"] = false,
			["HideGarrisonToasts"] = true,
			["RangeFramePoint"] = "BOTTOMRIGHT",
			["PGMessageShown2"] = false,
			["SpecialWarningFontShadow"] = false,
			["EventMusicMythicFilter"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				-0, -- [3]
			},
			["WarningX"] = -0.5238134264945984,
			["HPFrameMaxEntries"] = 5,
			["SpecialWarningVibrate4"] = true,
			["SWarnClassColor"] = true,
			["InfoFrameLocked"] = false,
			["UseNameplateHandoff"] = true,
			["HideBossEmoteFrame2"] = false,
			["SpecialWarningDuration"] = 4,
			["BadTimerAlert"] = false,
			["GUIWidth"] = 894.983642578125,
			["RecordOnlyBosses"] = false,
			["SpecialWarningFlashAlph4"] = 0.4,
			["LogOnlyRaidBosses"] = false,
			["ChallengeBest"] = "Realm",
			["PTCountThreshold2"] = 5,
			["AutoReplySound"] = true,
			["SpecialWarningFlash4"] = true,
			["HelpMessageVersion"] = 1,
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["SpecialWarningFlashCount5"] = 3,
			["EnableWBSharing"] = true,
			["ArrowPosX"] = -0,
			["FilterInterrupt"] = true,
			["AITimer"] = true,
			["FilterSelfHud"] = true,
			["SpecialWarningFlash1"] = true,
			["HPFramePoint"] = "LEFT",
			["RangeFrameRadarY"] = -19.74611282348633,
			["SpecialWarningSound4"] = 9278,
			["EventRandomDefeat"] = true,
			["GUIX"] = -0,
			["AdvancedAutologBosses"] = false,
			["AutologBosses"] = false,
			["DontShowRespawn"] = false,
			["ChosenVoicePack"] = "English female",
			["HUDSize4"] = 5,
			["WarningColors"] = {
				{
					["b"] = 0.9411764705882353,
					["g"] = 0.8,
					["r"] = 0.4117647058823529,
				}, -- [1]
				{
					["b"] = 0,
					["g"] = 0.9490196078431372,
					["r"] = 0.9490196078431372,
				}, -- [2]
				{
					["b"] = 0,
					["g"] = 0.5019607843137255,
					["r"] = 1,
				}, -- [3]
				{
					["b"] = 0.1019607843137255,
					["g"] = 0.1019607843137255,
					["r"] = 1,
				}, -- [4]
			},
			["InfoFrameFontSize"] = 16.0731201171875,
			["DontRestoreIcons"] = false,
			["SWarningAlphabetical"] = true,
			["HUDAlpha1"] = 0.5,
			["BlockNoteShare"] = false,
			["HUDColor1"] = {
				1, -- [1]
				1, -- [2]
				-0, -- [3]
			},
			["AlwaysPlayVoice"] = false,
			["DontPlaySpecialWarningSound"] = false,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI_EltreumUI\\Media\\Fonts\\Kimberley.otf",
			["DontShowRangeFrame"] = false,
			["DontShowPTCountdownText"] = false,
			["RangeFrameRadarPoint"] = "TOP",
			["DontShowInfoFrame"] = true,
			["HUDTexture1"] = "highlight",
			["RaidWarningPosition"] = {
				["Y"] = -185,
				["X"] = -0,
				["Point"] = "TOP",
			},
			["CountdownVoice3v2"] = "VP:English female",
			["MovieFilter2"] = "OnlyFight",
			["HUDTexture3"] = "highlight",
			["ArrowPosY"] = -150,
			["DontRestoreRange"] = false,
			["EventSoundDungeonBGM"] = "None",
			["SpecialWarningFlashCount3"] = 3,
			["FilterTrashWarnings2"] = false,
			["WhisperStats"] = false,
			["SilentMode"] = false,
			["LogOnlyNonTrivial"] = false,
			["HUDAlpha3"] = 0.5,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["HealthFrameWidth"] = 200,
			["WarningPoint"] = "TOP",
			["ShowEngageMessage"] = true,
			["RangeFrameSound1"] = "none",
			["HPFrameY"] = -145,
			["WarningFontSize"] = 20.580696105957,
			["EventSoundVictory2"] = "Interface\\AddOns\\DBM-SoundEventsPack\\Victory\\Victory_FinalFantasyClassic.ogg",
			["EventSoundEngage"] = "Sound\\Creature\\MuradinBronzebeard\\IC_Muradin_Saurfang02.ogg",
			["LastRevision"] = -0,
			["GUIPoint"] = "LEFT",
			["SettingsMessageShown"] = true,
			["ShowGuildMessagesPlus"] = false,
			["PTCountThreshold"] = 5,
			["HUDAlphaOverride"] = false,
			["WarningIconRight"] = true,
			["DontSetIcons"] = false,
			["BigBrotherAnnounceToRaid"] = false,
			["DontShowFlexMessage"] = false,
			["CountdownVoice"] = "Corsica",
			["HUDSize1"] = 5,
			["CountdownVoice3"] = "Smooth",
			["SpecialWarningFlashRepeat2"] = false,
			["DisableGuildStatus"] = false,
			["AutoRespond"] = true,
			["DisableStatusWhisper"] = false,
			["HealthFrameGrowUp"] = false,
			["GUIY"] = 59.42858505249023,
			["RangeFrameFrames"] = "radar",
			["EventDungMusicMythicFilter"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Homespun.ttf",
			["InfoFrameLines"] = -0,
			["EventSoundWipe"] = 109069,
			["FilterTankSpec"] = true,
			["ShowSpecialWarnings"] = true,
			["EnablePatchRestrictions"] = false,
			["WarningDuration"] = 4,
			["MoviesSeen"] = {
				[484] = true,
				["11889"] = true,
				["14803"] = true,
				["567The Inner Sanctum"] = true,
				[909] = true,
				[917] = true,
				[152] = true,
				["11751"] = true,
				["11368"] = true,
				["10983"] = true,
				["113610"] = true,
				["7201"] = true,
				[688] = true,
				["15831"] = true,
				["1597Locus of Infinite Truths"] = true,
				["10987"] = true,
				["15309"] = true,
				[514] = true,
				["16761"] = true,
				["14600"] = true,
				["14890"] = true,
				[295] = true,
				["1364The Great Sea"] = true,
				["12283"] = true,
				["5333"] = true,
				[682] = true,
				[817] = true,
				[706] = true,
				[486] = true,
				[367] = true,
				[16] = true,
				["165112"] = true,
				[510] = true,
				["6432"] = true,
				["11881"] = true,
				["10982"] = true,
				[73] = true,
				[74] = true,
				[75] = true,
				[76] = true,
				["14921"] = true,
				["113612"] = true,
				[914] = true,
				[549] = true,
				[557] = true,
				["11362"] = true,
				["9390"] = true,
				[487] = true,
				["15720"] = true,
				["11886"] = true,
				[656] = true,
				[812] = true,
				[820] = true,
				[811] = true,
				["15000"] = true,
				[323] = true,
				["16514"] = true,
				["15130"] = true,
				["12200"] = true,
				["14561"] = true,
				["10140"] = true,
				[563] = true,
				["16513"] = true,
				["16250"] = true,
				["9621"] = true,
				["6312"] = true,
				["16519"] = true,
				[686] = true,
				[567] = true,
				["612The Coliseum"] = true,
			},
			["VoiceOverSpecW2"] = "All",
			["SpecialWarningFlashRepeat3"] = true,
			["SpecialWarningX"] = -1.53969407081604,
			["HUDTexture4"] = "highlight",
			["DontShowSpecialWarningFlash"] = false,
			["WarningFont"] = "Interface\\AddOns\\ElvUI_EltreumUI\\Media\\Fonts\\Kimberley.otf",
			["WarningAlphabetical"] = true,
			["WorldBossNearAlert"] = true,
			["AlwaysShowHealthFrame"] = false,
			["FilterSayAndYell"] = false,
			["ShortTimerText"] = true,
			["AutoAcceptFriendInvite"] = false,
			["EventRandomMusic"] = false,
			["SpecialWarningFlashCount1"] = 1,
			["RangeFrameY"] = 149.3018798828125,
			["SpecialWarningSound5"] = 11052,
			["DontSendYells"] = false,
			["HUDAlpha4"] = 0.5,
			["SpecialWarningFlash2"] = true,
			["SpecialWarningFlashRepeat1"] = false,
			["SpecialWarningFlash3"] = true,
			["WarningShortText"] = true,
			["Enabled"] = false,
			["WarningY"] = -118.3650970458984,
			["GUIHeight"] = 798.4761352539062,
			["DontPlayPTCountdown"] = false,
			["ForumsMessageShown"] = 13634,
			["SpecialWarningFontStyle"] = "THICKOUTLINE",
			["ShowWipeMessage"] = true,
			["NewsMessageShown"] = 12,
			["StripServerName"] = true,
			["NPAuraSize"] = 40,
			["SpecialWarningVibrate3"] = true,
			["HPFrameX"] = 341.999877929688,
			["DontPlayTrivialSpecialWarningSound"] = false,
			["AFKHealthWarning"] = true,
			["ExtendIcons"] = false,
			["SpecialWarningVibrate5"] = true,
		},
	}
	DBM_MinimapIcon = {
		["hide"] = true,
	}
	DBT_AllPersistentOptions = {
		["Eltreum"] = {
			["AddOnSkins Half-Bar"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["EnlargeBarsPercent"] = 0.125,
				["StartColorR"] = 1,
				["EndColorPR"] = 0.501960784313726,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = true,
				["ExpandUpwards"] = true,
				["TimerPoint"] = "BOTTOMRIGHT",
				["EndColorDG"] = -0,
				["Alpha"] = 0.8,
				["HugeTimerPoint"] = "CENTER",
				["EndColorUIG"] = 0.92156862745098,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545098039215686,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = -0,
				["StartColorRR"] = 0.501960784313726,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = false,
				["HugeScale"] = 0.899999976158142,
				["BarYOffset"] = 18,
				["StartColorDG"] = 0.301960784313726,
				["StartColorAR"] = 0.376470588235294,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["DesaturateValue"] = 1,
				["HugeHeight"] = 11,
				["ClickThrough"] = true,
				["Font"] = "Interface\\AddOns\\ElvUI_EltreumUI\\Media\\Fonts\\Kimberley.ttf",
				["StartColorDB"] = 1,
				["EndColorAEB"] = 0.247058823529412,
				["HugeTimerX"] = 401.5562133789063,
				["HugeSort"] = "Sort",
				["BarXOffset"] = -0,
				["NoBarFade"] = false,
				["EndColorAR"] = 0.149019607843137,
				["EndColorG"] = -0,
				["TDecimal"] = 10,
				["Decimal"] = 60,
				["IconRight"] = false,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["StartColorAER"] = 1,
				["EndColorRR"] = 0.109803921568627,
				["EndColorRB"] = 0.301960784313726,
				["TimerX"] = -194.4429626464844,
				["EndColorIR"] = 0.0470588235294118,
				["StartColorRG"] = 1,
				["HugeAlpha"] = 1,
				["Bar7ForceLarge"] = false,
				["BarStyle"] = "DBM",
				["EnlargeBarTime"] = 11,
				["Spark"] = true,
				["StartColorPG"] = 0.776470588235294,
				["IconLocked"] = true,
				["FontFlag"] = "THICKOUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 388,
				["EndColorPG"] = 0.411764705882353,
				["Bar7CustomInline"] = true,
				["EndColorIG"] = 0.87843137254902,
				["EndColorAEG"] = 0.0431372549019608,
				["StartColorAEG"] = 0.466666666666667,
				["StartColorAEB"] = 0.458823529411765,
				["StartColorIR"] = 0.470588235294118,
				["HugeBarYOffset"] = 18,
				["KeepBars"] = true,
				["Skin"] = "AddOnSkins Half-Bar",
				["HugeTimerY"] = 257.3179321289063,
				["TimerY"] = 239.1111602783203,
				["ColorByType"] = true,
				["IconLeft"] = true,
				["Texture"] = "Interface\\Addons\\ElvUI_EltreumUI\\Media\\Statusbar\\Eltreum-Blank.tga",
				["EndColorUIB"] = 0.0117647058823529,
				["StartColorDR"] = 0.901960784313726,
				["StartColorAB"] = 1,
				["FontSize"] = 10,
				["Height"] = 11,
				["HugeWidth"] = 170,
				["StartColorRB"] = 0.501960784313726,
				["EndColorPB"] = 0.286274509803922,
				["FlashBar"] = true,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.701960784313726,
				["StripCDText"] = true,
				["FillUpBars"] = false,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.419607843137255,
				["DynamicColor"] = true,
				["InlineIcons"] = true,
				["EndColorAG"] = 0.384313725490196,
				["EndColorDB"] = 1,
				["StartColorB"] = -0,
				["EndColorB"] = -0,
				["TextColorG"] = 1,
				["StartColorIG"] = 0.968627450980392,
			},
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["EnlargeBarsPercent"] = 0.125,
				["StartColorR"] = 1,
				["EndColorPR"] = 0.501960784313726,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = true,
				["ExpandUpwards"] = true,
				["TimerPoint"] = "BOTTOMRIGHT",
				["EndColorDG"] = -0,
				["Alpha"] = 0.8,
				["HugeTimerPoint"] = "CENTER",
				["EndColorUIG"] = 0.92156862745098,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545098039215686,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = -0,
				["StartColorRR"] = 0.501960784313726,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = false,
				["HugeScale"] = 0.899999976158142,
				["BarYOffset"] = 18,
				["StartColorDG"] = 0.301960784313726,
				["StartColorAR"] = 0.376470588235294,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 11,
				["ClickThrough"] = true,
				["TDecimal"] = 10,
				["Font"] = "Interface\\AddOns\\ElvUI_EltreumUI\\Media\\Fonts\\Kimberley.ttf",
				["StartColorDB"] = 1,
				["EndColorAEB"] = 0.247058823529412,
				["HugeTimerX"] = 432.5403137207031,
				["HugeSort"] = "Sort",
				["BarXOffset"] = -0,
				["NoBarFade"] = false,
				["EndColorAR"] = 0.149019607843137,
				["EndColorG"] = -0,
				["IconRight"] = false,
				["Decimal"] = 60,
				["EndColorDB"] = 1,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["StartColorAER"] = 1,
				["DynamicColor"] = true,
				["EndColorRB"] = 0.301960784313726,
				["TimerX"] = -194.9508972167969,
				["EndColorIR"] = 0.0470588235294118,
				["StartColorRG"] = 1,
				["HugeAlpha"] = 1,
				["Bar7ForceLarge"] = false,
				["BarStyle"] = "DBM",
				["EnlargeBarTime"] = 11,
				["Spark"] = true,
				["StartColorPG"] = 0.776470588235294,
				["Width"] = 388,
				["FontFlag"] = "THICKOUTLINE",
				["EndColorAB"] = 1,
				["IconLocked"] = true,
				["EndColorPG"] = 0.411764705882353,
				["StartColorAEG"] = 0.466666666666667,
				["EndColorIG"] = 0.87843137254902,
				["EndColorAEG"] = 0.0431372549019608,
				["StartColorIR"] = 0.470588235294118,
				["StartColorAEB"] = 0.458823529411765,
				["StripCDText"] = true,
				["HugeBarYOffset"] = 18,
				["KeepBars"] = true,
				["Skin"] = "AddOnSkins Half-Bar",
				["HugeTimerY"] = 272.0480041503906,
				["TimerY"] = 238.6030120849609,
				["ColorByType"] = true,
				["IconLeft"] = true,
				["EndColorUIB"] = 0.0117647058823529,
				["StartColorDR"] = 0.901960784313726,
				["FontSize"] = 10,
				["StartColorAB"] = 1,
				["Height"] = 11,
				["HugeWidth"] = 170,
				["StartColorRB"] = 0.501960784313726,
				["EndColorPB"] = 0.286274509803922,
				["Texture"] = "Interface\\Addons\\ElvUI_EltreumUI\\Media\\Statusbar\\Eltreum-Blank.tga",
				["FlashBar"] = true,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.701960784313726,
				["FillUpBars"] = false,
				["Bar7CustomInline"] = true,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.419607843137255,
				["EndColorRR"] = 0.109803921568627,
				["InlineIcons"] = true,
				["EndColorAG"] = 0.384313725490196,
				["EndColorB"] = -0,
				["StartColorB"] = -0,
				["TextColorG"] = 1,
				["StartColorIG"] = 0.968627450980392,
				["DesaturateValue"] = 1,
			},
		},
	}
	DBM:ApplyProfile("Eltreum")
end
